%define nagiosdir %{_libexecdir}/grid-monitoring/plugins/nagios
Summary: Nagios GOCDB downtime importer
Name: nagios-gocdb-downtime
Version: 0.25.0
Release: 1%{?dist}
License: Apache v2
Group: Network/Monitoring
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch


%description

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install --directory $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   CHANGES $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   INSTALL $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

install --directory $RPM_BUILD_ROOT%{nagiosdir}
install --mode=755 .%{nagiosdir}/nagios-gocdb-downtime $RPM_BUILD_ROOT%{nagiosdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{nagiosdir}/nagios-gocdb-downtime
%doc %{_datadir}/doc/%{name}-%{version}/CHANGES
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Fri Nov 14 2014 Emir Imamagic <eimamagi@srce.hr> - 0.25.0-1%{?dist}
- Removed perl-TOM dependency

* Thu Jan 20 2011 Emir Imamagic <eimamagi@srce.hr> - 0.24.1-1%{?dist}
- Enable setting GOCDB URL in Yaim
  https://tomtools.cern.ch/jira/browse/SAM-1475
* Thu Jan 20 2011 Emir Imamagic <eimamagi@srce.hr> - 0.23.1-1%{?dist}
- Change GOCDB address to goc.egi.eu
  https://tomtools.cern.ch/jira/browse/SAM-1162

* Mon Dec 13 2010 Emir Imamagic <eimamagi@srce.hr> - 0.22.0-1%{?dist}
- Add processing for WARNING severity
  https://tomtools.cern.ch/jira/browse/SAM-1033

* Wed Nov 3 2010 Emir Imamagic <eimamagi@srce.hr> - 0.21-1%{?dist}
- Include patches which enable web proxies
  https://tomtools.cern.ch/jira/browse/SAM-895

* Fri Aug 20 2010 Emir Imamagic <eimamagi@srce.hr> - 0.20-1%{?dist}
- Add improved DIE and WARN handlers to Nagios plugins
  https://tomtools.cern.ch/jira/browse/SAM-746

* Tue Aug 3 2010 Emir Imamagic <eimamagi@srce.hr> - 0.19-1%{?dist}
- Fixed nagios-gocdb-downtime, site downtime and changing nodes.
  https://tomtools.cern.ch/jira/browse/SAM-696

* Wed Jul 28 2010 Emir Imamagic <eimamagi@srce.hr> - 0.18-1%{?dist}
- Implemented nagios-gocdb-downtime, site downtime and changing nodes.
  https://tomtools.cern.ch/jira/browse/SAM-127

* Tue Apr 13 2010 Emir Imamagic <eimamagi@srce.hr> - 0.17-1%{?dist}
- Fixed org.egee.ImportGocdbDowntimes not compatible with GOCDBv4 PI
  https://tomtools.cern.ch/jira/browse/SAM-538
- Improve verbosity
  https://tomtools.cern.ch/jira/browse/SAM-539
- Default URL points to https://goc.gridops.org/gocdbpi_v4

* Tue Apr 13 2010 Emir Imamagic <eimamagi@srce.hr> - 0.16-1%{?dist}
- HTTP requests should use GET for GOCDB calls
  https://savannah.cern.ch/bugs/?65727

* Tue Jan 19 2010 Emir Imamagic <eimamagi@srce.hr> - 0.15-1%{?dist}
- Implemented filtering AT_RISK downtimes.

* Mon Apr 27 2009 Emir Imamagic <eimamagi@srce.hr> - 0.14-1%{?dist}
- Migrated to Apache 2.0 license.
- Included patch from https://savannah.cern.ch/bugs/index.php?57747.

* Mon Apr 27 2009 Emir Imamagic <eimamagi@srce.hr> - 0.13-2%{?dist}
  Fixed typo
  https://savannah.cern.ch/bugs/index.php?49666

* Fri Apr 24 2009 Steve Traylen <steve.traylen@cern.ch> - 0.12-2%{?dist}
- Changed GOCDB PI address

* Fri Mar 6 2009 Steve Traylen <steve.traylen@cern.ch> - 0.11-2%{?dist}
- Add %{?dist}

* Wed Feb 4 2009 Steve Traylen <steve.traylen@cern.ch> - 0.11-1
- Change GOCDB URL.

* Mon Jan 28 2009 Steve Traylen <steve.traylen@cern.ch> - 0.10-1
- Bug fixes from Emir.

* Thu Jan 8 2009 Emir Imamagic <eimamagi@srce.hr> - 0.9-1
- Initial build.
